# Third-Party Licenses for LLMTrace

This document lists the licenses of third-party libraries used by LLMTrace.
LLMTrace itself is licensed under the MIT License.

---

## Core Dependencies

*   **Flask** (BSD-3-Clause License)
    *   `https://flask.palletsprojects.com/`
*   **Flask-Cors** (MIT License)
    *   `https://flask-cors.readthedocs.io/`
*   **Click** (BSD-3-Clause License)
    *   `https://click.palletsprojects.com/`
*   **python-dotenv** (BSD-3-Clause License)
    *   `https://github.com/theskumar/python-dotenv`
*   **zstandard** (BSD-3-Clause License)
    *   `https://github.com/indygreg/python-zstandard`
*   **Alembic** (MIT License)
    *   `https://alembic.sqlalchemy.org/`
*   **SQLAlchemy** (MIT License)
    *   `https://www.sqlalchemy.org/`
*   **aiosqlite** (MIT License)
    *   `https://github.com/omnilib/aiosqlite`
*   **asyncpg** (MIT License)
    *   `https://github.com/MagicStack/asyncpg`
*   **httpx** (BSD-3-Clause License)
    *   `https://www.python-httpx.org/`
*   **Pydantic** (MIT License)
    *   `https://pydantic.dev/`
*   **python-json-logger** (MIT License)
    *   `https://github.com/madzak/python-json-logger`

## Development Dependencies (`[dev]` extra)

*   **pytest** (MIT License)
    *   `https://docs.pytest.org/`
*   **pytest-asyncio** (Apache-2.0 License)
    *   `https://pytest-asyncio.readthedocs.io/`
*   **Black** (MIT License)
    *   `https://github.com/psf/black`
*   **isort** (MIT License)
    *   `https://pycqa.github.io/isort/`
*   **flake8** (MIT License)
    *   `https://flake8.pycqa.org/`
*   **Sphinx** (BSD-2-Clause License)
    *   `https://www.sphinx-doc.org/`
*   **sphinx_rtd_theme** (MIT License)
    *   `https://sphinx-rtd-theme.readthedocs.io/`
*   **myst-parser** (MIT License)
    *   `https://myst-parser.readthedocs.io/`
*   **pre-commit** (MIT License)
    *   `https://pre-commit.com/`
*   **twine** (Apache-2.0 License)
    *   `https://twine.readthedocs.io/`
*   **build** (MIT License)
    *   `https://pypa-build.readthedocs.io/`
*   **setuptools_scm** (MIT License)
    *   `https://github.com/pypa/setuptools_scm`

## Optional Dependencies (Instrumentors, Evaluation, Web)

*   **openai** (MIT License)
    *   `https://github.com/openai/openai-python`
*   **transformers** (Apache-2.0 License)
    *   `https://huggingface.co/docs/transformers/`
*   **langchain** (MIT License)
    *   `https://www.langchain.com/`
*   **langchain-openai** (MIT License)
    *   `https://python.langchain.com/docs/integrations/llms/openai`
*   **nltk** (Apache-2.0 License)
    *   `https://www.nltk.org/`
*   **scikit-learn** (BSD-3-Clause License)
    *   `https://scikit-learn.org/`
*   **gunicorn** (MIT License)
    *   `https://gunicorn.org/`

---

*Disclaimer: This list is for informational purposes and may not be exhaustive. For the most accurate and up-to-date license information, please refer to the individual project repositories and their respective license files.*
